Class | RSS::REXMLLikeXMLParser
In: | rss/xmlparser.rb
Parent: | ::XML::Parser

### Methods

character endElement listener= processingInstruction startElement xmlDecl

### Included Modules

::XML::Encoding_ja

### Public Instance methods

character(data)

[Source]

    # File rss/xmlparser.rb, line 46
        def character(data)
          @listener.text(data)
        end

endElement(name)

[Source]

    # File rss/xmlparser.rb, line 42
        def endElement(name)
          @listener.tag_end(name)
        end

listener=(listener)

[Source]

    # File rss/xmlparser.rb, line 34
        def listener=(listener)
          @listener = listener
        end

processingInstruction(target, content)

[Source]

    # File rss/xmlparser.rb, line 54
        def processingInstruction(target, content)
          @listener.instruction(target, content)
        end

startElement(name, attrs)

[Source]

    # File rss/xmlparser.rb, line 38
        def startElement(name, attrs)
          @listener.tag_start(name, attrs)
        end

xmlDecl(version, encoding, standalone)

[Source]

    # File rss/xmlparser.rb, line 50
        def xmlDecl(version, encoding, standalone)
          @listener.xmldecl(version, encoding, standalone == 1)
        end

[Validate]